<?php
  $containerSource = $this->driver->getSourceIdentifier();
  $containerID = $this->driver->getContainerRecordID();
  $containerVolume = $this->driver->getContainerVolume(); 
  $ref = $this->driver->getContainerReference();
  $link = $containerID
    ? $this->recordLinker($this->results)->getUrl("$containerSource|$containerID")
    : $this->record($this->driver)->getLink('journaltitle', $data);
?>
<a href="<?=$link?>"><?=$this->escapeHtml($data)?></a>
<?=empty($ref) ? '' : $this->escapeHtml($ref)?>
<?=empty($containerVolume) ? '' : "/ " .$containerVolume?>
